=== debian/changelog ===
kcov (4-2) unstable; urgency=low

  * Fix FTBFS on ia64 by removing include of asm/ptrace.h

 -- Michael Tautschnig <mt@debian.org>  Fri, 17 Dec 2010 23:35:00 +0100

kcov (4-1) unstable; urgency=low

  * New upstream release
    - Fixes FTBFS on non-x86 architectures (closes: #603135).

 -- Michael Tautschnig <mt@debian.org>  Fri, 17 Dec 2010 10:03:23 +0100

kcov (3-1) unstable; urgency=low

  * New upstream release
  * Fixed watch file
  * Updated man page

 -- Michael Tautschnig <mt@debian.org>  Sun, 05 Dec 2010 10:05:16 +0100

kcov (2-1) unstable; urgency=low

  * Initial release (Closes: #601937), includes all upstream patches up to
    b7a7a123864fa4062ca1f1501cae9966c153af5e

 -- Michael Tautschnig <mt@debian.org>  Sun, 31 Oct 2010 11:10:29 +0100
