## kcov 5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,14 @@
 # project name and version
 # ====================================
 project (kcov)
-set (PACKAGE_VERSION_MAJOR  4)
-set (PACKAGE_VERSION_MINOR  0)
-set (PACKAGE_VERSION_PATCH  0)
+set (PROJECT_VERSION_MAJOR  4)
+set (PROJECT_VERSION_MINOR  0)
+set (PROJECT_VERSION_PATCH  0)
+set (PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
+
 
 if(NOT CMAKE_BUILD_TYPE)
-  SET(CMAKE_BUILD_TYPE debug)
+  set (CMAKE_BUILD_TYPE  Debug)
 endif(NOT CMAKE_BUILD_TYPE)
 
 # ====================================
