=== debian/changelog ===
kcov (5-1ubuntu1) quantal; urgency=low

  * 01-fix-ppc32-pc-offset.patch: The PC offset is 32, not 33 (NIP).
    (LP: #919296)

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 13 Jun 2012 16:15:54 -0400

kcov (5-1) unstable; urgency=low

  * New upstream version
    - Added all upstream patches up to ed83e132c6d5736cc75

 -- Michael Tautschnig <mt@debian.org>  Tue, 29 Mar 2011 00:01:40 +0200
