=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kcov
 Section: devel
 Priority: extra
-Maintainer: Michael Tautschnig <mt@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libelf-dev, libdwarf-dev, pkg-config, libglib2.0-dev, cmake
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Tautschnig <mt@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), libdw-dev, libelf-dev, pkg-config, libglib2.0-dev, cmake
 Standards-Version: 3.9.1
 Homepage: http://simonkagstrom.github.com/kcov/
 Vcs-Git: git://github.com/SimonKagstrom/kcov.git
