=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,23 @@
 	dh_auto_clean
 	dh_clean
 	rm -rf obj-* CMakeFiles CMakeCache.txt
+	rm -rf tests-build
 
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+override_dh_auto_test:
+	dh_testdir
+	-mkdir tests-build
+	cd tests-build ; cmake ../tests/
+	$(MAKE) -C tests-build
+	ls
+	cd tests-build ; export PATH=`echo $$PWD/../obj-*/src`:$$PATH ; \
+		sh run-all.sh 2>&1 | tee tests.log
+	rm -rf /tmp/kcov
+	if grep -q FAIL tests-build/tests.log ; then \
+		echo "Test suite failure" ; \
+		exit 1 ; \
+	fi
+endif
+endif
+
