=== debian/watch ===
version=3
http://githubredir.debian.net/github/SimonKagstrom/kcov/v(.+).tar.gz
