=== doc/CMakeLists.txt ===
file (GLOB man_files_1  *.1)

install (FILES ${man_files_1} ${INSTALL_MAN_PATH}/man1)
