=== debian/changelog ===
kcov (11-1) unstable; urgency=low

  * New upstream version
  * Proper packaging (closes: #643174)
  * Make it architecture i386 and amd64 only, others are not supported
    (closes: #650738)
  * Bump Standards Version to 3.9.4 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Sun, 02 Dec 2012 15:43:07 +0000
