=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 override_dh_auto_test:
 	dh_testdir
-	-mkdir tests-build
+	mkdir tests-build
 	cd tests-build ; cmake ../tests/
 	$(MAKE) -C tests-build
 	ls
