=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://github.com/SimonKagstrom/kcov/tags .*/v(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 17 Nov 2012 13:00:16 +0000
