## kcov 25+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,6 @@
 # project name and version
 # ====================================
 project (kcov)
-set (PROJECT_VERSION_MAJOR  11)
-set (PROJECT_VERSION_MINOR  0)
-set (PROJECT_VERSION_PATCH  0)
-set (PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
-
 
 if(NOT CMAKE_BUILD_TYPE)
   set (CMAKE_BUILD_TYPE  Release)
@@ -22,6 +17,7 @@
                         ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 find_package (PkgConfig REQUIRED)
 
+set (SPECIFY_RPATH OFF CACHE BOOL "Specify RPATH for installed executables")
 
 # ====================================
 # default install paths for targets
