=== debian/changelog ===
kcov (25+dfsg-1ubuntu2) vivid; urgency=medium

  * Don't build fork-32, doesn't build everywhere.
  * Disable the assembly test, architecture specific.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Mar 2015 20:41:30 +0100

kcov (25+dfsg-1ubuntu1) vivid; urgency=medium

  * Build the library with -fPIC.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Mar 2015 20:23:07 +0100

kcov (25+dfsg-1) unstable; urgency=low

  * New upstream version (closes: #775477)
    - adds support for PowerPC, ARM
    - use upstream man page
    - removed jquery minimised javascript
  * Bump Standards Version to 3.9.6 (no changes)
  * Will attempt to build on all variants of x86, powerpc, arm

 -- Michael Tautschnig <mt@debian.org>  Sun, 15 Feb 2015 17:57:59 +0000
